ru.bitel.bgbilling.plugins.assistant.common.bean

## Enum AssistantButton

- java.lang.Object
- - java.lang.Enum<AssistantButton>
  - - ru.bitel.bgbilling.plugins.assistant.common.bean.AssistantButton

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AssistantButton>

      public enum AssistantButton
      extends java.lang.Enum<AssistantButton>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUTTON_1`
    `BUTTON_2`
    `BUTTON_3`
    `BUTTON_4`
    `BUTTON_CANCEL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AssistantButton` | `getAssistantButtonByCode(java.lang.String code)`
    `java.lang.String` | `getCode()`
    `java.lang.String` | `getTitle()`
    `static AssistantButton` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AssistantButton[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BUTTON_1

          public static final AssistantButton BUTTON_1

    - #### BUTTON_2

          public static final AssistantButton BUTTON_2

    - #### BUTTON_3

          public static final AssistantButton BUTTON_3

    - #### BUTTON_4

          public static final AssistantButton BUTTON_4

    - #### BUTTON_CANCEL

          public static final AssistantButton BUTTON_CANCEL

  - ### Method Detail

    - #### values

          public static AssistantButton[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AssistantButton c : AssistantButton.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AssistantButton valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public java.lang.String getCode()

    - #### getTitle

          public java.lang.String getTitle()

    - #### getAssistantButtonByCode

          public static AssistantButton getAssistantButtonByCode(java.lang.String code)